libebook::RocketEBookHeader Class Reference documentation

Classes | Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::RocketEBookHeader Class Reference

`#include <RocketEBookHeader.h>`

## Classes
struct | Entry

## Public Types
enum | Flag { FLAG_ENCRYPTED = 1 , FLAG_INFO_PAGE = 1 << 1 , FLAG_RESERVED = 1 << 2 , FLAG_DEFLATED = 1 << 3 }
typedef std::deque< Entry > | Directory_t

## Public Member Functions
| RocketEBookHeader (const RVNGInputStreamPtr_t &input)
unsigned | getInfoID () const
const Directory_t & | getDirectory () const

## Private Member Functions
void | readHeader (const RVNGInputStreamPtr_t &input)
void | readDirectory (const RVNGInputStreamPtr_t &input)

## Private Attributes
unsigned | m_version
unsigned | m_tocOffset
unsigned | m_length
Directory_t | m_dir
unsigned | m_info

## Member Typedef Documentation

## ◆ Directory_t

typedef std::deque<Entry> libebook::RocketEBookHeader::Directory_t

## Member Enumeration Documentation

## ◆ Flag

enum libebook::RocketEBookHeader::Flag

Enumerator
FLAG_ENCRYPTED |
FLAG_INFO_PAGE |
FLAG_RESERVED |
FLAG_DEFLATED |

## Constructor & Destructor Documentation

## ◆ RocketEBookHeader()

libebook::RocketEBookHeader::RocketEBookHeader | ( | const RVNGInputStreamPtr_t & | input | ) |
| explicit

## Member Function Documentation

## ◆ getDirectory()

const RocketEBookHeader::Directory_t & libebook::RocketEBookHeader::getDirectory | ( |  | ) | const

## ◆ getInfoID()

unsigned libebook::RocketEBookHeader::getInfoID | ( |  | ) | const

## ◆ readDirectory()

void libebook::RocketEBookHeader::readDirectory | ( | const RVNGInputStreamPtr_t & | input | ) |
| private

Referenced by RocketEBookHeader().

## ◆ readHeader()

void libebook::RocketEBookHeader::readHeader | ( | const RVNGInputStreamPtr_t & | input | ) |
| private

Referenced by RocketEBookHeader().

## Member Data Documentation

## ◆ m_dir

Directory_t libebook::RocketEBookHeader::m_dir
| private

Referenced by getDirectory(), readDirectory(), and RocketEBookHeader().

## ◆ m_info

unsigned libebook::RocketEBookHeader::m_info
| private

Referenced by getInfoID(), and RocketEBookHeader().

## ◆ m_length

unsigned libebook::RocketEBookHeader::m_length
| private

Referenced by readDirectory(), readHeader(), and RocketEBookHeader().

## ◆ m_tocOffset

unsigned libebook::RocketEBookHeader::m_tocOffset
| private

Referenced by readDirectory(), readHeader(), and RocketEBookHeader().

## ◆ m_version

unsigned libebook::RocketEBookHeader::m_version
| private

Referenced by readHeader(), and RocketEBookHeader().

The documentation for this class was generated from the following files:

- RocketEBookHeader.h
- RocketEBookHeader.cpp